using System.IO;

public class Custom_Functions
{
	[Start]
	[DeclareAction("SetPartsDB")]
	public void SetPartsDB(string DATABASE)
	{	
		string fDB = "";
		string sProjectpath = "";
		
		if ((string.Compare(DATABASE, "SYSTEM")) == 0)
			{
			fDB = "PATH TO YOUR DB \\FILENAME.mdb";		// edit to your parts DB
			}
		else if ((string.Compare(DATABASE, "PROJECT")) == 0)
			{
			sProjectpath = PathMap.SubstitutePath("$(PROJECTPATH)");
			fDB = sProjectpath + "\\part.mdb";
			}
		else
			{
			MessageBox.Show("Invalid parameters!");
			}
		
		if (File.Exists(fDB))
			{
			Eplan.EplApi.Base.Settings oSettings = new Eplan.EplApi.Base.Settings();
			oSettings.SetStringSetting("USER.PartsManagementGui.Database", fDB, 0);
			return;
			}
		else
			{
				MessageBox.Show("Database doesn't exist!");
			}
	}
}
